Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network112.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
112.0.0.0
Broadcast address
113.255.255.255
First usable
112.0.0.1
Last usable
113.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 70000000 · Integer 1879048192 to 1912602623
Reverse DNS zones
112.in-addr.arpa
113.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110000.00000000.00000000.00000000112.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01110000.00000000.00000000.00000000112.0.0.0
Broadcast01110001.11111111.11111111.11111111113.255.255.255
Split into smaller subnets/16

112.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1112.0.0.0/16112.0.0.1 to 112.0.255.254112.0.255.25565,534
2112.1.0.0/16112.1.0.1 to 112.1.255.254112.1.255.25565,534
3112.2.0.0/16112.2.0.1 to 112.2.255.254112.2.255.25565,534
4112.3.0.0/16112.3.0.1 to 112.3.255.254112.3.255.25565,534
5112.4.0.0/16112.4.0.1 to 112.4.255.254112.4.255.25565,534
6112.5.0.0/16112.5.0.1 to 112.5.255.254112.5.255.25565,534
7112.6.0.0/16112.6.0.1 to 112.6.255.254112.6.255.25565,534
8112.7.0.0/16112.7.0.1 to 112.7.255.254112.7.255.25565,534
9112.8.0.0/16112.8.0.1 to 112.8.255.254112.8.255.25565,534
10112.9.0.0/16112.9.0.1 to 112.9.255.254112.9.255.25565,534
11112.10.0.0/16112.10.0.1 to 112.10.255.254112.10.255.25565,534
12112.11.0.0/16112.11.0.1 to 112.11.255.254112.11.255.25565,534
13112.12.0.0/16112.12.0.1 to 112.12.255.254112.12.255.25565,534
14112.13.0.0/16112.13.0.1 to 112.13.255.254112.13.255.25565,534
15112.14.0.0/16112.14.0.1 to 112.14.255.254112.14.255.25565,534
16112.15.0.0/16112.15.0.1 to 112.15.255.254112.15.255.25565,534
17112.16.0.0/16112.16.0.1 to 112.16.255.254112.16.255.25565,534
18112.17.0.0/16112.17.0.1 to 112.17.255.254112.17.255.25565,534
19112.18.0.0/16112.18.0.1 to 112.18.255.254112.18.255.25565,534
20112.19.0.0/16112.19.0.1 to 112.19.255.254112.19.255.25565,534
21112.20.0.0/16112.20.0.1 to 112.20.255.254112.20.255.25565,534
22112.21.0.0/16112.21.0.1 to 112.21.255.254112.21.255.25565,534
23112.22.0.0/16112.22.0.1 to 112.22.255.254112.22.255.25565,534
24112.23.0.0/16112.23.0.1 to 112.23.255.254112.23.255.25565,534
25112.24.0.0/16112.24.0.1 to 112.24.255.254112.24.255.25565,534
26112.25.0.0/16112.25.0.1 to 112.25.255.254112.25.255.25565,534
27112.26.0.0/16112.26.0.1 to 112.26.255.254112.26.255.25565,534
28112.27.0.0/16112.27.0.1 to 112.27.255.254112.27.255.25565,534
29112.28.0.0/16112.28.0.1 to 112.28.255.254112.28.255.25565,534
30112.29.0.0/16112.29.0.1 to 112.29.255.254112.29.255.25565,534
31112.30.0.0/16112.30.0.1 to 112.30.255.254112.30.255.25565,534
32112.31.0.0/16112.31.0.1 to 112.31.255.254112.31.255.25565,534
33112.32.0.0/16112.32.0.1 to 112.32.255.254112.32.255.25565,534
34112.33.0.0/16112.33.0.1 to 112.33.255.254112.33.255.25565,534
35112.34.0.0/16112.34.0.1 to 112.34.255.254112.34.255.25565,534
36112.35.0.0/16112.35.0.1 to 112.35.255.254112.35.255.25565,534
37112.36.0.0/16112.36.0.1 to 112.36.255.254112.36.255.25565,534
38112.37.0.0/16112.37.0.1 to 112.37.255.254112.37.255.25565,534
39112.38.0.0/16112.38.0.1 to 112.38.255.254112.38.255.25565,534
40112.39.0.0/16112.39.0.1 to 112.39.255.254112.39.255.25565,534
41112.40.0.0/16112.40.0.1 to 112.40.255.254112.40.255.25565,534
42112.41.0.0/16112.41.0.1 to 112.41.255.254112.41.255.25565,534
43112.42.0.0/16112.42.0.1 to 112.42.255.254112.42.255.25565,534
44112.43.0.0/16112.43.0.1 to 112.43.255.254112.43.255.25565,534
45112.44.0.0/16112.44.0.1 to 112.44.255.254112.44.255.25565,534
46112.45.0.0/16112.45.0.1 to 112.45.255.254112.45.255.25565,534
47112.46.0.0/16112.46.0.1 to 112.46.255.254112.46.255.25565,534
48112.47.0.0/16112.47.0.1 to 112.47.255.254112.47.255.25565,534
49112.48.0.0/16112.48.0.1 to 112.48.255.254112.48.255.25565,534
50112.49.0.0/16112.49.0.1 to 112.49.255.254112.49.255.25565,534
51112.50.0.0/16112.50.0.1 to 112.50.255.254112.50.255.25565,534
52112.51.0.0/16112.51.0.1 to 112.51.255.254112.51.255.25565,534
53112.52.0.0/16112.52.0.1 to 112.52.255.254112.52.255.25565,534
54112.53.0.0/16112.53.0.1 to 112.53.255.254112.53.255.25565,534
55112.54.0.0/16112.54.0.1 to 112.54.255.254112.54.255.25565,534
56112.55.0.0/16112.55.0.1 to 112.55.255.254112.55.255.25565,534
57112.56.0.0/16112.56.0.1 to 112.56.255.254112.56.255.25565,534
58112.57.0.0/16112.57.0.1 to 112.57.255.254112.57.255.25565,534
59112.58.0.0/16112.58.0.1 to 112.58.255.254112.58.255.25565,534
60112.59.0.0/16112.59.0.1 to 112.59.255.254112.59.255.25565,534
61112.60.0.0/16112.60.0.1 to 112.60.255.254112.60.255.25565,534
62112.61.0.0/16112.61.0.1 to 112.61.255.254112.61.255.25565,534
63112.62.0.0/16112.62.0.1 to 112.62.255.254112.62.255.25565,534
64112.63.0.0/16112.63.0.1 to 112.63.255.254112.63.255.25565,534
65112.64.0.0/16112.64.0.1 to 112.64.255.254112.64.255.25565,534
66112.65.0.0/16112.65.0.1 to 112.65.255.254112.65.255.25565,534
67112.66.0.0/16112.66.0.1 to 112.66.255.254112.66.255.25565,534
68112.67.0.0/16112.67.0.1 to 112.67.255.254112.67.255.25565,534
69112.68.0.0/16112.68.0.1 to 112.68.255.254112.68.255.25565,534
70112.69.0.0/16112.69.0.1 to 112.69.255.254112.69.255.25565,534
71112.70.0.0/16112.70.0.1 to 112.70.255.254112.70.255.25565,534
72112.71.0.0/16112.71.0.1 to 112.71.255.254112.71.255.25565,534
73112.72.0.0/16112.72.0.1 to 112.72.255.254112.72.255.25565,534
74112.73.0.0/16112.73.0.1 to 112.73.255.254112.73.255.25565,534
75112.74.0.0/16112.74.0.1 to 112.74.255.254112.74.255.25565,534
76112.75.0.0/16112.75.0.1 to 112.75.255.254112.75.255.25565,534
77112.76.0.0/16112.76.0.1 to 112.76.255.254112.76.255.25565,534
78112.77.0.0/16112.77.0.1 to 112.77.255.254112.77.255.25565,534
79112.78.0.0/16112.78.0.1 to 112.78.255.254112.78.255.25565,534
80112.79.0.0/16112.79.0.1 to 112.79.255.254112.79.255.25565,534
81112.80.0.0/16112.80.0.1 to 112.80.255.254112.80.255.25565,534
82112.81.0.0/16112.81.0.1 to 112.81.255.254112.81.255.25565,534
83112.82.0.0/16112.82.0.1 to 112.82.255.254112.82.255.25565,534
84112.83.0.0/16112.83.0.1 to 112.83.255.254112.83.255.25565,534
85112.84.0.0/16112.84.0.1 to 112.84.255.254112.84.255.25565,534
86112.85.0.0/16112.85.0.1 to 112.85.255.254112.85.255.25565,534
87112.86.0.0/16112.86.0.1 to 112.86.255.254112.86.255.25565,534
88112.87.0.0/16112.87.0.1 to 112.87.255.254112.87.255.25565,534
89112.88.0.0/16112.88.0.1 to 112.88.255.254112.88.255.25565,534
90112.89.0.0/16112.89.0.1 to 112.89.255.254112.89.255.25565,534
91112.90.0.0/16112.90.0.1 to 112.90.255.254112.90.255.25565,534
92112.91.0.0/16112.91.0.1 to 112.91.255.254112.91.255.25565,534
93112.92.0.0/16112.92.0.1 to 112.92.255.254112.92.255.25565,534
94112.93.0.0/16112.93.0.1 to 112.93.255.254112.93.255.25565,534
95112.94.0.0/16112.94.0.1 to 112.94.255.254112.94.255.25565,534
96112.95.0.0/16112.95.0.1 to 112.95.255.254112.95.255.25565,534
97112.96.0.0/16112.96.0.1 to 112.96.255.254112.96.255.25565,534
98112.97.0.0/16112.97.0.1 to 112.97.255.254112.97.255.25565,534
99112.98.0.0/16112.98.0.1 to 112.98.255.254112.98.255.25565,534
100112.99.0.0/16112.99.0.1 to 112.99.255.254112.99.255.25565,534
101112.100.0.0/16112.100.0.1 to 112.100.255.254112.100.255.25565,534
102112.101.0.0/16112.101.0.1 to 112.101.255.254112.101.255.25565,534
103112.102.0.0/16112.102.0.1 to 112.102.255.254112.102.255.25565,534
104112.103.0.0/16112.103.0.1 to 112.103.255.254112.103.255.25565,534
105112.104.0.0/16112.104.0.1 to 112.104.255.254112.104.255.25565,534
106112.105.0.0/16112.105.0.1 to 112.105.255.254112.105.255.25565,534
107112.106.0.0/16112.106.0.1 to 112.106.255.254112.106.255.25565,534
108112.107.0.0/16112.107.0.1 to 112.107.255.254112.107.255.25565,534
109112.108.0.0/16112.108.0.1 to 112.108.255.254112.108.255.25565,534
110112.109.0.0/16112.109.0.1 to 112.109.255.254112.109.255.25565,534
111112.110.0.0/16112.110.0.1 to 112.110.255.254112.110.255.25565,534
112112.111.0.0/16112.111.0.1 to 112.111.255.254112.111.255.25565,534
113112.112.0.0/16112.112.0.1 to 112.112.255.254112.112.255.25565,534
114112.113.0.0/16112.113.0.1 to 112.113.255.254112.113.255.25565,534
115112.114.0.0/16112.114.0.1 to 112.114.255.254112.114.255.25565,534
116112.115.0.0/16112.115.0.1 to 112.115.255.254112.115.255.25565,534
117112.116.0.0/16112.116.0.1 to 112.116.255.254112.116.255.25565,534
118112.117.0.0/16112.117.0.1 to 112.117.255.254112.117.255.25565,534
119112.118.0.0/16112.118.0.1 to 112.118.255.254112.118.255.25565,534
120112.119.0.0/16112.119.0.1 to 112.119.255.254112.119.255.25565,534
121112.120.0.0/16112.120.0.1 to 112.120.255.254112.120.255.25565,534
122112.121.0.0/16112.121.0.1 to 112.121.255.254112.121.255.25565,534
123112.122.0.0/16112.122.0.1 to 112.122.255.254112.122.255.25565,534
124112.123.0.0/16112.123.0.1 to 112.123.255.254112.123.255.25565,534
125112.124.0.0/16112.124.0.1 to 112.124.255.254112.124.255.25565,534
126112.125.0.0/16112.125.0.1 to 112.125.255.254112.125.255.25565,534
127112.126.0.0/16112.126.0.1 to 112.126.255.254112.126.255.25565,534
128112.127.0.0/16112.127.0.1 to 112.127.255.254112.127.255.25565,534
129112.128.0.0/16112.128.0.1 to 112.128.255.254112.128.255.25565,534
130112.129.0.0/16112.129.0.1 to 112.129.255.254112.129.255.25565,534
131112.130.0.0/16112.130.0.1 to 112.130.255.254112.130.255.25565,534
132112.131.0.0/16112.131.0.1 to 112.131.255.254112.131.255.25565,534
133112.132.0.0/16112.132.0.1 to 112.132.255.254112.132.255.25565,534
134112.133.0.0/16112.133.0.1 to 112.133.255.254112.133.255.25565,534
135112.134.0.0/16112.134.0.1 to 112.134.255.254112.134.255.25565,534
136112.135.0.0/16112.135.0.1 to 112.135.255.254112.135.255.25565,534
137112.136.0.0/16112.136.0.1 to 112.136.255.254112.136.255.25565,534
138112.137.0.0/16112.137.0.1 to 112.137.255.254112.137.255.25565,534
139112.138.0.0/16112.138.0.1 to 112.138.255.254112.138.255.25565,534
140112.139.0.0/16112.139.0.1 to 112.139.255.254112.139.255.25565,534
141112.140.0.0/16112.140.0.1 to 112.140.255.254112.140.255.25565,534
142112.141.0.0/16112.141.0.1 to 112.141.255.254112.141.255.25565,534
143112.142.0.0/16112.142.0.1 to 112.142.255.254112.142.255.25565,534
144112.143.0.0/16112.143.0.1 to 112.143.255.254112.143.255.25565,534
145112.144.0.0/16112.144.0.1 to 112.144.255.254112.144.255.25565,534
146112.145.0.0/16112.145.0.1 to 112.145.255.254112.145.255.25565,534
147112.146.0.0/16112.146.0.1 to 112.146.255.254112.146.255.25565,534
148112.147.0.0/16112.147.0.1 to 112.147.255.254112.147.255.25565,534
149112.148.0.0/16112.148.0.1 to 112.148.255.254112.148.255.25565,534
150112.149.0.0/16112.149.0.1 to 112.149.255.254112.149.255.25565,534
151112.150.0.0/16112.150.0.1 to 112.150.255.254112.150.255.25565,534
152112.151.0.0/16112.151.0.1 to 112.151.255.254112.151.255.25565,534
153112.152.0.0/16112.152.0.1 to 112.152.255.254112.152.255.25565,534
154112.153.0.0/16112.153.0.1 to 112.153.255.254112.153.255.25565,534
155112.154.0.0/16112.154.0.1 to 112.154.255.254112.154.255.25565,534
156112.155.0.0/16112.155.0.1 to 112.155.255.254112.155.255.25565,534
157112.156.0.0/16112.156.0.1 to 112.156.255.254112.156.255.25565,534
158112.157.0.0/16112.157.0.1 to 112.157.255.254112.157.255.25565,534
159112.158.0.0/16112.158.0.1 to 112.158.255.254112.158.255.25565,534
160112.159.0.0/16112.159.0.1 to 112.159.255.254112.159.255.25565,534
161112.160.0.0/16112.160.0.1 to 112.160.255.254112.160.255.25565,534
162112.161.0.0/16112.161.0.1 to 112.161.255.254112.161.255.25565,534
163112.162.0.0/16112.162.0.1 to 112.162.255.254112.162.255.25565,534
164112.163.0.0/16112.163.0.1 to 112.163.255.254112.163.255.25565,534
165112.164.0.0/16112.164.0.1 to 112.164.255.254112.164.255.25565,534
166112.165.0.0/16112.165.0.1 to 112.165.255.254112.165.255.25565,534
167112.166.0.0/16112.166.0.1 to 112.166.255.254112.166.255.25565,534
168112.167.0.0/16112.167.0.1 to 112.167.255.254112.167.255.25565,534
169112.168.0.0/16112.168.0.1 to 112.168.255.254112.168.255.25565,534
170112.169.0.0/16112.169.0.1 to 112.169.255.254112.169.255.25565,534
171112.170.0.0/16112.170.0.1 to 112.170.255.254112.170.255.25565,534
172112.171.0.0/16112.171.0.1 to 112.171.255.254112.171.255.25565,534
173112.172.0.0/16112.172.0.1 to 112.172.255.254112.172.255.25565,534
174112.173.0.0/16112.173.0.1 to 112.173.255.254112.173.255.25565,534
175112.174.0.0/16112.174.0.1 to 112.174.255.254112.174.255.25565,534
176112.175.0.0/16112.175.0.1 to 112.175.255.254112.175.255.25565,534
177112.176.0.0/16112.176.0.1 to 112.176.255.254112.176.255.25565,534
178112.177.0.0/16112.177.0.1 to 112.177.255.254112.177.255.25565,534
179112.178.0.0/16112.178.0.1 to 112.178.255.254112.178.255.25565,534
180112.179.0.0/16112.179.0.1 to 112.179.255.254112.179.255.25565,534
181112.180.0.0/16112.180.0.1 to 112.180.255.254112.180.255.25565,534
182112.181.0.0/16112.181.0.1 to 112.181.255.254112.181.255.25565,534
183112.182.0.0/16112.182.0.1 to 112.182.255.254112.182.255.25565,534
184112.183.0.0/16112.183.0.1 to 112.183.255.254112.183.255.25565,534
185112.184.0.0/16112.184.0.1 to 112.184.255.254112.184.255.25565,534
186112.185.0.0/16112.185.0.1 to 112.185.255.254112.185.255.25565,534
187112.186.0.0/16112.186.0.1 to 112.186.255.254112.186.255.25565,534
188112.187.0.0/16112.187.0.1 to 112.187.255.254112.187.255.25565,534
189112.188.0.0/16112.188.0.1 to 112.188.255.254112.188.255.25565,534
190112.189.0.0/16112.189.0.1 to 112.189.255.254112.189.255.25565,534
191112.190.0.0/16112.190.0.1 to 112.190.255.254112.190.255.25565,534
192112.191.0.0/16112.191.0.1 to 112.191.255.254112.191.255.25565,534
193112.192.0.0/16112.192.0.1 to 112.192.255.254112.192.255.25565,534
194112.193.0.0/16112.193.0.1 to 112.193.255.254112.193.255.25565,534
195112.194.0.0/16112.194.0.1 to 112.194.255.254112.194.255.25565,534
196112.195.0.0/16112.195.0.1 to 112.195.255.254112.195.255.25565,534
197112.196.0.0/16112.196.0.1 to 112.196.255.254112.196.255.25565,534
198112.197.0.0/16112.197.0.1 to 112.197.255.254112.197.255.25565,534
199112.198.0.0/16112.198.0.1 to 112.198.255.254112.198.255.25565,534
200112.199.0.0/16112.199.0.1 to 112.199.255.254112.199.255.25565,534
201112.200.0.0/16112.200.0.1 to 112.200.255.254112.200.255.25565,534
202112.201.0.0/16112.201.0.1 to 112.201.255.254112.201.255.25565,534
203112.202.0.0/16112.202.0.1 to 112.202.255.254112.202.255.25565,534
204112.203.0.0/16112.203.0.1 to 112.203.255.254112.203.255.25565,534
205112.204.0.0/16112.204.0.1 to 112.204.255.254112.204.255.25565,534
206112.205.0.0/16112.205.0.1 to 112.205.255.254112.205.255.25565,534
207112.206.0.0/16112.206.0.1 to 112.206.255.254112.206.255.25565,534
208112.207.0.0/16112.207.0.1 to 112.207.255.254112.207.255.25565,534
209112.208.0.0/16112.208.0.1 to 112.208.255.254112.208.255.25565,534
210112.209.0.0/16112.209.0.1 to 112.209.255.254112.209.255.25565,534
211112.210.0.0/16112.210.0.1 to 112.210.255.254112.210.255.25565,534
212112.211.0.0/16112.211.0.1 to 112.211.255.254112.211.255.25565,534
213112.212.0.0/16112.212.0.1 to 112.212.255.254112.212.255.25565,534
214112.213.0.0/16112.213.0.1 to 112.213.255.254112.213.255.25565,534
215112.214.0.0/16112.214.0.1 to 112.214.255.254112.214.255.25565,534
216112.215.0.0/16112.215.0.1 to 112.215.255.254112.215.255.25565,534
217112.216.0.0/16112.216.0.1 to 112.216.255.254112.216.255.25565,534
218112.217.0.0/16112.217.0.1 to 112.217.255.254112.217.255.25565,534
219112.218.0.0/16112.218.0.1 to 112.218.255.254112.218.255.25565,534
220112.219.0.0/16112.219.0.1 to 112.219.255.254112.219.255.25565,534
221112.220.0.0/16112.220.0.1 to 112.220.255.254112.220.255.25565,534
222112.221.0.0/16112.221.0.1 to 112.221.255.254112.221.255.25565,534
223112.222.0.0/16112.222.0.1 to 112.222.255.254112.222.255.25565,534
224112.223.0.0/16112.223.0.1 to 112.223.255.254112.223.255.25565,534
225112.224.0.0/16112.224.0.1 to 112.224.255.254112.224.255.25565,534
226112.225.0.0/16112.225.0.1 to 112.225.255.254112.225.255.25565,534
227112.226.0.0/16112.226.0.1 to 112.226.255.254112.226.255.25565,534
228112.227.0.0/16112.227.0.1 to 112.227.255.254112.227.255.25565,534
229112.228.0.0/16112.228.0.1 to 112.228.255.254112.228.255.25565,534
230112.229.0.0/16112.229.0.1 to 112.229.255.254112.229.255.25565,534
231112.230.0.0/16112.230.0.1 to 112.230.255.254112.230.255.25565,534
232112.231.0.0/16112.231.0.1 to 112.231.255.254112.231.255.25565,534
233112.232.0.0/16112.232.0.1 to 112.232.255.254112.232.255.25565,534
234112.233.0.0/16112.233.0.1 to 112.233.255.254112.233.255.25565,534
235112.234.0.0/16112.234.0.1 to 112.234.255.254112.234.255.25565,534
236112.235.0.0/16112.235.0.1 to 112.235.255.254112.235.255.25565,534
237112.236.0.0/16112.236.0.1 to 112.236.255.254112.236.255.25565,534
238112.237.0.0/16112.237.0.1 to 112.237.255.254112.237.255.25565,534
239112.238.0.0/16112.238.0.1 to 112.238.255.254112.238.255.25565,534
240112.239.0.0/16112.239.0.1 to 112.239.255.254112.239.255.25565,534
241112.240.0.0/16112.240.0.1 to 112.240.255.254112.240.255.25565,534
242112.241.0.0/16112.241.0.1 to 112.241.255.254112.241.255.25565,534
243112.242.0.0/16112.242.0.1 to 112.242.255.254112.242.255.25565,534
244112.243.0.0/16112.243.0.1 to 112.243.255.254112.243.255.25565,534
245112.244.0.0/16112.244.0.1 to 112.244.255.254112.244.255.25565,534
246112.245.0.0/16112.245.0.1 to 112.245.255.254112.245.255.25565,534
247112.246.0.0/16112.246.0.1 to 112.246.255.254112.246.255.25565,534
248112.247.0.0/16112.247.0.1 to 112.247.255.254112.247.255.25565,534
249112.248.0.0/16112.248.0.1 to 112.248.255.254112.248.255.25565,534
250112.249.0.0/16112.249.0.1 to 112.249.255.254112.249.255.25565,534
251112.250.0.0/16112.250.0.1 to 112.250.255.254112.250.255.25565,534
252112.251.0.0/16112.251.0.1 to 112.251.255.254112.251.255.25565,534
253112.252.0.0/16112.252.0.1 to 112.252.255.254112.252.255.25565,534
254112.253.0.0/16112.253.0.1 to 112.253.255.254112.253.255.25565,534
255112.254.0.0/16112.254.0.1 to 112.254.255.254112.254.255.25565,534
256112.255.0.0/16112.255.0.1 to 112.255.255.254112.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses